export async function mockConsole(cb) {
    const origConsoleLog = console.log;
    console.log = jest.fn();
    const expectedLogs = [];
    const ret = await cb({
        expectLog: (msg) => expectedLogs.push(msg),
    });
    expectedLogs.forEach(msg => expect(console.log).toBeCalledWith(msg));
    console.log = origConsoleLog;
    return ret;
}
